library verilog;
use verilog.vl_types.all;
entity synDelayWithEnable_1s_1s_1s_3 is
    generic(
        bitwidth        : integer := 1;
        delaylength     : integer := 1
    );
    port(
        SD_mod          : out    vl_logic_vector(0 downto 0);
        N_5             : in     vl_logic_vector(0 downto 0);
        GlobalReset     : in     vl_logic;
        GlobalEnable1   : in     vl_logic;
        clk             : in     vl_logic
    );
end synDelayWithEnable_1s_1s_1s_3;
